Chat window not word wrapping in 0.4*
Version: 0.41 0S: Linux
Description

Currently using 0.4.2, but have had problem since starting to use Quassel at version 0.4.0.

Chatting can be somewhat bothersome in Quassel as it doesn't word wrap on spaces between words.
Instead it wraps within words, so words are chopped with the second part of the word displayed on the new line.

The wrapping boundary is also off the screen so some characters are not displayed at all on the new line, leaving the user playing a
game of hangman to try and fill in the blanks :)

One way I've been able to workaround this is to always have the nicklist pane in view, then when wrapped words are not able to be
guessed | can resize the nicklist pane to alter the word wrap boundary of the chat window, thus revealing the word.

| don't use monospace fonts, my font of choice is DejaVu Sans 9.

Thanks :)

Associated revisions

Revision 12fa4e53761a68904512089d5ac368480439be35 - 09/14/2009 08:01 PM - Manuel Nickschas

Workaround the wordwrap issues with Qt

This is a real fugly workaround for Qt bug 238249. As long as it makes Quassel wrap words correctly,
I'm willing to live with it though.

There's still some pathological cases where we still get it wrong (long URLs with real narrow columns,
apparently), but meh.

Closes #579, closes #704.
Revision 12fa4e53 - 09/14/2009 08:01 PM - Manuel Nickschas
Workaround the wordwrap issues with Qt

This is a real fugly workaround for Qt bug 238249. As long as it makes Quassel wrap words correctly,
I'm willing to live with it though.

There's still some pathological cases where we still get it wrong (long URLs with real narrow columns,
apparently), but meh.

Closes #579, closes #704.

History

#1 - 05/25/2009 10:49 PM - Sputnick
- Status changed from New to Rejected

- Target version deleted (0.4.2)

Bug in Qit: http://www.qtsoftware.com/developer/task-tracker/index_html?method=entry&id=238249

| don't see a way to workaround this in any feasible way, as we rely on those low-level layouting functions for wrapping. Since it seems to depend on
the font, please try using another font instead.

Rejecting this bug; we may revisit it at some point once | tackle the wrap code again (there are some other quirks that beg for investigation).
http://www.qtsoftware.com/developer/task-tracker/index_html?method=entry&id=238249

#2 - 07/29/2009 01:12 PM - Sputnick

- Status changed from Rejected to Assigned
- Assignee set to Sputnick

- Target version set to 0.5.0

- % Done changed from 0 to 80

Looks like the recent changes in our layout engine might workaround this Qt bug and solve the problem for Quassel users. We'll see. Reopening this
so | won't forget.

#3 - 09/14/2009 08:14 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 80 to 100

Applied in changeset 12fa4e53761a68904512089d5ac368480439be35.
